Skip to main content
GET
/
commands
List Commands
curl --request GET \
  --url https://analyst.heyhumm.ai/commands \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "content": "<string>",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "usage_count": 0,
    "current_version": 1,
    "generation_status": "ready",
    "generation_error": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string
required
limit
integer
default:50

Maximum number of results

Required range: 1 <= x <= 100
offset
integer
default:0

Number of results to skip

Required range: x >= 0

Response

Successful Response

name
string
required

Command name (alphanumeric + hyphens/underscores)

content
string
required

Command content as markdown text

organization_id
string<uuid>
required

Organization ID

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null

Single sentence description of the command

created_by_user_id
string<uuid> | null
usage_count
integer
default:0
current_version
integer
default:1
generation_status
enum<string>
default:ready

Status of LLM-based command generation.

Available options:
ready,
generating,
failed
generation_error
string | null